#ifndef TIMER_UART_H_
#define TIMER_UART_H_

/************************** Software UART *************************************/
                                                                                // Conditions for 9600 Baud SW UART, SMCLK = 8MHz /8 = 1,000,000
                                                                                // Calculation is Bitime = ((SMCK/Desired BaudRate))
                                                                                // Bitime_5 = (Bitime/2)+1
#define Bitime_5  0x34                                                          // ~ 0.5 bit length + small adjustment
#define Bitime    0x68                                                          // 104.0us bit length ~ 9615 baud
#define TEMP      1
#define VOLTS     12
#define BINARY    24
/************ Software UART Prototype Headers *******************************/
void TX_Byte (void);
void RX_Ready (void);
void TimerA_UART_tx(unsigned char byte);


#endif /*TIMER_UART_H*/
